/* h1-h6 */
.h1 { font-size:5rem; line-height: 5rem; }
.h2 { font-size:3.9rem; line-height:4.2rem; }
.h3 { font-size:3.4rem; line-height:3.9rem; }
.h4 { font-size:2.85rem; line-height:3.4rem; }
.h5 { font-size:2.30rem; line-height:3rem; }
.h6 { font-size:1.80rem; line-height:2.5rem; }

/* padding */
.p-0 {
    padding: 0px
}

.p-5 {
    padding: 5px
}

.p-10 {
    padding: 10px
}

.p-15 {
    padding: 15px
}

.p-20 {
    padding: 20px
}

.p-25 {
    padding: 25px
}

.p-30 {
    padding: 30px
}

.p-35 {
    padding: 35px
}

.p-40 {
    padding: 40px
}

.p-45 {
    padding: 45px
}

.p-50 {
    padding: 50px
}

.p-t-0 {
    padding-top: 0px !important
}

.p-t-5 {
    padding-top: 5px !important
}

.p-t-10 {
    padding-top: 10px !important
}

.p-t-15 {
    padding-top: 15px !important
}

.p-t-20 {
    padding-top: 20px !important
}

.p-t-25 {
    padding-top: 25px !important
}

.p-t-30 {
    padding-top: 30px !important
}

.p-t-35 {
    padding-top: 35px !important
}

.p-t-40 {
    padding-top: 40px !important
}

.p-t-45 {
    padding-top: 45px !important
}

.p-t-50 {
    padding-top: 50px !important
}

.p-b-0 {
    padding-bottom: 0px !important
}

.p-b-5 {
    padding-bottom: 5px !important
}

.p-b-10 {
    padding-bottom: 10px !important
}

.p-b-15 {
    padding-bottom: 15px !important
}

.p-b-20 {
    padding-bottom: 20px !important
}

.p-b-25 {
    padding-bottom: 25px !important
}

.p-b-30 {
    padding-bottom: 30px !important
}

.p-b-35 {
    padding-bottom: 35px !important
}

.p-b-40 {
    padding-bottom: 40px !important
}

.p-b-45 {
    padding-bottom: 45px !important
}

.p-b-50 {
    padding-bottom: 50px !important
}

.p-l-0 {
    padding-left: 0px
}

.p-l-5 {
    padding-left: 5px
}

.p-l-10 {
    padding-left: 10px
}

.p-l-15 {
    padding-left: 15px
}

.p-l-20 {
    padding-left: 20px
}

.p-l-25 {
    padding-left: 25px
}

.p-l-30 {
    padding-left: 30px
}

.p-l-35 {
    padding-left: 35px
}

.p-l-40 {
    padding-left: 40px
}

.p-l-45 {
    padding-left: 45px
}

.p-l-50 {
    padding-left: 50px
}

.p-r-0 {
    padding-right: 0px
}

.p-r-5 {
    padding-right: 5px
}

.p-r-10 {
    padding-right: 10px
}

.p-r-15 {
    padding-right: 15px
}

.p-r-20 {
    padding-right: 20px
}

.p-r-25 {
    padding-right: 25px
}

.p-r-30 {
    padding-right: 30px
}

.p-r-35 {
    padding-right: 35px
}

.p-r-40 {
    padding-right: 40px
}

.p-r-45 {
    padding-right: 45px
}

.p-r-50 {
    padding-right: 50px
}

.m-0 {
    margin: 0px
}

.m-5 {
    margin: 5px
}

.m-10 {
    margin: 10px
}

.m-15 {
    margin: 15px
}

.m-20 {
    margin: 20px
}

.m-25 {
    margin: 25px
}

.m-30 {
    margin: 30px
}

.m-35 {
    margin: 35px
}

.m-40 {
    margin: 40px
}

.m-45 {
    margin: 45px
}

.m-50 {
    margin: 50px
}

.m-t-0 {
    margin-top: 0px
}

.m-t-5 {
    margin-top: 5px
}

.m-t-10 {
    margin-top: 10px
}

.m-t-15 {
    margin-top: 15px
}

.m-t-20 {
    margin-top: 20px
}

.m-t-25 {
    margin-top: 25px
}

.m-t-30 {
    margin-top: 30px
}

.m-t-35 {
    margin-top: 35px
}

.m-t-40 {
    margin-top: 40px
}

.m-t-45 {
    margin-top: 45px
}

.m-t-50 {
    margin-top: 50px
}

.m-b-0 {
    margin-bottom: 0px
}

.m-b-5 {
    margin-bottom: 5px
}

.m-b-10 {
    margin-bottom: 10px
}

.m-b-15 {
    margin-bottom: 15px
}

.m-b-20 {
    margin-bottom: 20px
}

.m-b-25 {
    margin-bottom: 25px
}

.m-b-30 {
    margin-bottom: 30px
}

.m-b-35 {
    margin-bottom: 35px
}

.m-b-40 {
    margin-bottom: 40px
}

.m-b-45 {
    margin-bottom: 45px
}

.m-b-50 {
    margin-bottom: 50px
}

.m-l-0 {
    margin-left: 0px
}

.m-l-5 {
    margin-left: 5px
}

.m-l-10 {
    margin-left: 10px
}

.m-l-15 {
    margin-left: 15px
}

.m-l-20 {
    margin-left: 20px
}

.m-l-25 {
    margin-left: 25px
}

.m-l-30 {
    margin-left: 30px
}

.m-l-35 {
    margin-left: 35px
}

.m-l-40 {
    margin-left: 40px
}

.m-l-45 {
    margin-left: 45px
}

.m-l-50 {
    margin-left: 50px
}

.m-r-0 {
    margin-right: 0px
}

.m-r-5 {
    margin-right: 5px
}

.m-r-10 {
    margin-right: 10px
}

.m-r-15 {
    margin-right: 15px
}

.m-r-20 {
    margin-right: 20px
}

.m-r-25 {
    margin-right: 25px
}

.m-r-30 {
    margin-right: 30px
}

.m-r-35 {
    margin-right: 35px
}

.m-r-40 {
    margin-right: 40px
}

.m-r-45 {
    margin-right: 45px
}

.m-r-50 {
    margin-right: 50px
}

.b-radius-0 {
    border-radius: 0px !important
}

.b-radius-5 {
    border-radius: 5px !important
}

.b-radius-10 {
    border-radius: 10px !important
}

.f-12 {
    font-size: 12px
}

.f-14 {
    font-size: 14px
}

.f-16 {
    font-size: 16px
}

.f-18 {
    font-size: 18px
}

.f-20 {
    font-size: 20px
}

.f-22 {
    font-size: 22px
}

.f-24 {
    font-size: 24px
}

.f-26 {
    font-size: 26px
}

.f-28 {
    font-size: 28px
}

.f-30 {
    font-size: 30px
}

.f-32 {
    font-size: 32px
}

.f-34 {
    font-size: 34px
}

.f-36 {
    font-size: 36px
}

.f-38 {
    font-size: 38px
}

.f-40 {
    font-size: 40px
}

.f-42 {
    font-size: 42px
}

.f-44 {
    font-size: 44px
}

.f-46 {
    font-size: 46px
}

.f-48 {
    font-size: 48px
}

.f-50 {
    font-size: 50px
}

.f-52 {
    font-size: 52px
}

.f-54 {
    font-size: 54px
}

.f-56 {
    font-size: 56px
}

.f-58 {
    font-size: 58px
}

.f-60 {
    font-size: 60px
}

.f-62 {
    font-size: 62px
}

.f-64 {
    font-size: 64px
}

.f-66 {
    font-size: 66px
}

.f-68 {
    font-size: 68px
}

.f-70 {
    font-size: 70px
}

.f-72 {
    font-size: 72px
}

.f-74 {
    font-size: 74px
}

.f-76 {
    font-size: 76px
}

.f-78 {
    font-size: 78px
}

.f-80 {
    font-size: 80px
}

.f-w-100 {
    font-weight: 100
}

.f-w-300 {
    font-weight: 300
}

.f-w-400 {
    font-weight: 400
}

.f-w-600 {
    font-weight: 600
}

.f-w-700 {
    font-weight: 700
}

.f-w-900 {
    font-weight: 900
}

.f-s-normal {
    font-style: normal
}

.f-s-italic {
    font-style: italic
}

.f-s-oblique {
    font-style: oblique
}

.f-s-initial {
    font-style: initial
}

.f-s-inherit {
    font-style: inherit
}

.text-center {
    text-align: center
}

.text-left {
    text-align: left
}

.text-right {
    text-align: right
}

.text-capitalize {
    text-align: capitalize
}

.text-uppercase {
    text-align: uppercase
}

.text-lowercase {
    text-align: lowercase
}

.text-overline {
    text-decoration: overline
}

.text-line-through {
    text-decoration: line-through
}

.text-underline {
    text-decoration: underline
}

.baseline {
    vertical-align: baseline
}

.sub {
    vertical-align: sub
}

.super {
    vertical-align: super
}

.top {
    vertical-align: top
}

.text-top {
    vertical-align: text-top
}

.middle {
    vertical-align: middle
}

.bottom {
    vertical-align: bottom
}

.text-bottom {
    vertical-align: text-bottom
}

.initial {
    vertical-align: initial
}

.inherit {
    vertical-align: inherit
}

.pos-static {
    position: static
}

.pos-absolute {
    position: absolute
}

.pos-fixed {
    position: fixed
}

.pos-relative {
    position: relative
}

.pos-initial {
    position: initial
}

.pos-inherit {
    position: inherit
}

.f-left {
    float: left
}

.f-right {
    float: right
}

.f-none {
    float: none
}

.o-hidden {
    overflow: hidden
}

.o-visible {
    overflow: visible
}

.o-auto {
    overflow: auto
}


/* ===================================
    14. Width
====================================== */

.w-1px { width:1px; }
.w-2px { width:2px; }
.w-3px { width:3px; }
.w-4px { width:4px; }
.w-5px { width:5px; }
.w-6px { width:6px; }
.w-7px { width:7px; }
.w-8px { width:8px; }
.w-9px { width:9px; }
.w-10px { width:10px; }
.w-15px { width:15px; }
.w-20px { width:20px; }
.w-25px { width:25px; }
.w-30px { width:30px; }
.w-35px { width:35px; }
.w-40px { width:40px; }
.w-45px { width:45px; }
.w-50px { width:50px; }
.w-55px { width:55px; }
.w-60px { width:60px; }
.w-65px { width:65px; }
.w-70px { width:70px; }
.w-75px { width:75px; }
.w-80px { width:80px; }
.w-85px { width:85px; }
.w-90px { width:90px; }
.w-95px { width:95px; }
.w-100px { width:100px; }
.w-110px { width:110px; }
.w-120px { width:120px; }
.w-130px { width:130px; }
.w-140px { width:140px; }
.w-150px { width:150px; }
.w-160px { width:160px; }
.w-170px { width:170px; }
.w-180px { width:180px; }
.w-190px { width:190px; }
.w-200px { width:200px; }
.w-250px { width:250px; }
.w-300px { width:300px; }
.w-350px { width:350px; }
.w-400px { width:400px; }
.w-450px { width:450px; }
.w-500px { width:500px; }
.w-550px { width:550px; }
.w-600px { width:600px; }
.w-650px { width:650px; }
.w-700px { width:700px; }
.w-750px { width:750px; }
.w-800px { width:800px; }
.w-850px { width:850px; }
.w-900px { width:900px; }
.w-950px { width:950px; }
.w-1000px { width:1000px; }

.w-10 { width: 10%; }
.w-15 { width: 15%; }
.w-20 { width: 20%; }
.w-25 { width: 25%; }
.w-30 { width: 30%; }
.w-35 { width: 35%; }
.w-40 { width: 40%; }
.w-45 { width: 45%; }
.w-50 { width: 50%; }
.w-55 { width: 55%; }
.w-57 { width: 57%; }
.w-60 { width: 60%; }
.w-65 { width: 65%; }
.w-70 { width: 70%; }
.w-75 { width: 75%; }
.w-80 { width: 80%; }
.w-85 { width: 85%; }
.w-90 { width: 90%; }
.w-95 { width: 95%; }
.w-100 { width: 100%; }
.w-auto { width:auto; }

/* ===================================
    15. Height
====================================== */

.swiper-container { width: 100%; height: 100%; }
.h-1px { height: 1px; }
.h-2px { height: 2px; }
.h-3px { height: 3px; }
.h-4px { height: 4px; }
.h-5px { height: 5px; }
.h-6px { height: 6px; }
.h-7px { height: 7px; }
.h-8px { height: 8px; }
.h-9px { height: 9px; }
.h-10px { height: 10px; }
.h-15px { height: 15px; }
.h-20px { height: 20px; }
.h-25px { height: 25px; }
.h-30px { height: 30px; }
.h-35px { height: 35px; }
.h-40px { height: 40px; }
.h-42px { height: 42px; }
.h-45px { height: 45px; }
.h-50px { height: 50px; }
.h-55px { height: 55px; }
.h-60px { height: 60px; }
.h-65px { height: 65px; }
.h-70px { height: 70px; }
.h-75px { height: 75px; }
.h-80px { height: 80px; }
.h-85px { height: 85px; }
.h-90px { height: 90px; }
.h-95px { height: 95px; }
.h-100px { height: 100px; }
.h-110px { height: 110px; }
.h-120px { height: 120px; }
.h-130px { height: 130px; }
.h-140px { height: 140px; }
.h-150px { height: 150px; }
.h-160px { height: 160px; }
.h-170px { height: 170px; }
.h-180px { height: 180px; }
.h-190px { height: 190px; }
.h-200px { height: 200px; }
.h-250px { height: 250px; }
.h-300px { height: 300px; }
.h-350px { height: 350px; }
.h-400px { height: 400px; }
.h-450px { height: 450px; }
.h-480px { height: 490px; }
.h-500px { height: 500px; }
.h-520px { height: 520px; }
.h-550px { height: 550px; }
.h-580px { height: 580px; }
.h-600px { height: 600px; }
.h-650px { height: 650px; }
.h-700px { height: 700px; }
.h-720px { height: 720px; }
.h-750px { height: 750px; }
.h-800px { height: 800px; }
.h-820px { height: 820px; }
.h-830px { height: 830px; }
.h-850px { height: 850px; }

.h-50 { height: 50%; }
.h-100 { height: 100% !important; }
.h-auto { height:auto !important; }
.max-h-100 { max-height: 100%; }
.max-h-inherit { max-height: inherit !important; }
.full-screen, .mobileoff-fullscreen-top-space, .fullscreenabanner { height: 980px; }

/* min height */
.min-h-100px { min-height: 100px; }
.min-h-200px { min-height: 200px; }
.min-h-300px { min-height: 300px; }
.min-h-400px { min-height: 400px; }
.min-h-500px { min-height: 500px; }
.min-h-600px { min-height: 600px; }
.min-h-700px { min-height: 700px; }
.min-h-100vh { min-height: 100vh; }

@media (min-width: 576px) {
    .text-sm-left {
        text-align: left !important
    }

    .text-sm-right {
        text-align: right !important
    }

    .text-sm-center {
        text-align: center !important
    }
}

@media (min-width: 768px) {
    .text-md-left {
        text-align: left !important
    }

    .text-md-right {
        text-align: right !important
    }

    .text-md-center {
        text-align: center !important
    }
}

@media (min-width: 992px) {
    .text-lg-left {
        text-align: left !important
    }

    .text-lg-right {
        text-align: right !important
    }

    .text-lg-center {
        text-align: center !important
    }
}

@media (min-width: 1230px) {
    .text-xl-left {
        text-align: left !important
    }

    .text-xl-right {
        text-align: right !important
    }

    .text-xl-center {
        text-align: center !important
    }
}
